VULKAN_HPP_NAMESPACE::CalibratedTimestampInfoEXT Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| CalibratedTimestampInfoEXT (TimeDomainEXT timeDomain_=TimeDomainEXT::eDevice)
| CalibratedTimestampInfoEXT (VkCalibratedTimestampInfoEXT const &rhs)
CalibratedTimestampInfoEXT & | operator= (VkCalibratedTimestampInfoEXT const &rhs)
CalibratedTimestampInfoEXT & | setPNext (const void *pNext_)
CalibratedTimestampInfoEXT & | setTimeDomain (TimeDomainEXT timeDomain_)
| operator VkCalibratedTimestampInfoEXT const & () const
| operator VkCalibratedTimestampInfoEXT & ()
bool | operator== (CalibratedTimestampInfoEXT const &rhs) const
bool | operator!= (CalibratedTimestampInfoEXT const &rhs) const

## Data Fields

const void * | pNext = nullptr
TimeDomainEXT | timeDomain

## Private Attributes

StructureType | sType = StructureType::eCalibratedTimestampInfoEXT

## Detailed Description

Definition at line 29630 of file vulkan.hpp.

## Constructor & Destructor Documentation

## CalibratedTimestampInfoEXT() [1/2]

VULKAN_HPP_NAMESPACE::CalibratedTimestampInfoEXT::CalibratedTimestampInfoEXT | ( | TimeDomainEXT | timeDomain_ = `TimeDomainEXT::eDevice` | ) |

inline

Definition at line 29632 of file vulkan.hpp.

: timeDomain( timeDomain_ )
{
}

## CalibratedTimestampInfoEXT() [2/2]

VULKAN_HPP_NAMESPACE::CalibratedTimestampInfoEXT::CalibratedTimestampInfoEXT | ( | VkCalibratedTimestampInfoEXT const & | rhs | ) |

inline

Definition at line 29637 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( CalibratedTimestampInfoEXT ) );
}

References memcpy.

## Member Function Documentation

## operator VkCalibratedTimestampInfoEXT &()

VULKAN_HPP_NAMESPACE::CalibratedTimestampInfoEXT::operator VkCalibratedTimestampInfoEXT & | ( |  | ) |

inline

Definition at line 29664 of file vulkan.hpp.

{
return *reinterpret_cast<VkCalibratedTimestampInfoEXT*>(this);
}

## operator VkCalibratedTimestampInfoEXT const &()

VULKAN_HPP_NAMESPACE::CalibratedTimestampInfoEXT::operator VkCalibratedTimestampInfoEXT const & | ( |  | ) | const

inline

Definition at line 29659 of file vulkan.hpp.

{
return *reinterpret_cast<const VkCalibratedTimestampInfoEXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::CalibratedTimestampInfoEXT::operator!= | ( | CalibratedTimestampInfoEXT const & | rhs | ) | const

inline

Definition at line 29676 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

CalibratedTimestampInfoEXT& VULKAN_HPP_NAMESPACE::CalibratedTimestampInfoEXT::operator= | ( | VkCalibratedTimestampInfoEXT const & | rhs | ) |

inline

Definition at line 29642 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( CalibratedTimestampInfoEXT ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::CalibratedTimestampInfoEXT::operator== | ( | CalibratedTimestampInfoEXT const & | rhs | ) | const

inline

Definition at line 29669 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( timeDomain == rhs.timeDomain );
}

References pNext, sType, and timeDomain.

Referenced by operator!=().

## setPNext()

CalibratedTimestampInfoEXT& VULKAN_HPP_NAMESPACE::CalibratedTimestampInfoEXT::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 29647 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setTimeDomain()

CalibratedTimestampInfoEXT& VULKAN_HPP_NAMESPACE::CalibratedTimestampInfoEXT::setTimeDomain | ( | TimeDomainEXT | timeDomain_ | ) |

inline

Definition at line 29653 of file vulkan.hpp.

{
timeDomain = timeDomain_;
return *this;
}

References timeDomain.

## Field Documentation

## pNext

const void* VULKAN_HPP_NAMESPACE::CalibratedTimestampInfoEXT::pNext = nullptr

Definition at line 29685 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::CalibratedTimestampInfoEXT::sType = StructureType::eCalibratedTimestampInfoEXT

private

Definition at line 29682 of file vulkan.hpp.

Referenced by operator==().

## timeDomain

TimeDomainEXT VULKAN_HPP_NAMESPACE::CalibratedTimestampInfoEXT::timeDomain

Definition at line 29686 of file vulkan.hpp.

Referenced by operator==(), and setTimeDomain().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

memcpy
#define memcpy
Definition: SDL_malloc.c:630
VkCalibratedTimestampInfoEXT
Definition: vulkan_core.h:8527
VULKAN_HPP_NAMESPACE::CalibratedTimestampInfoEXT::CalibratedTimestampInfoEXT
CalibratedTimestampInfoEXT(TimeDomainEXT timeDomain_=TimeDomainEXT::eDevice)
Definition: vulkan.hpp:29632
VULKAN_HPP_NAMESPACE::CalibratedTimestampInfoEXT::sType
StructureType sType
Definition: vulkan.hpp:29682
VULKAN_HPP_NAMESPACE::CalibratedTimestampInfoEXT::pNext
const void * pNext
Definition: vulkan.hpp:29685
VULKAN_HPP_NAMESPACE::CalibratedTimestampInfoEXT::operator==
bool operator==(CalibratedTimestampInfoEXT const &rhs) const
Definition: vulkan.hpp:29669
VULKAN_HPP_NAMESPACE::CalibratedTimestampInfoEXT::timeDomain
TimeDomainEXT timeDomain
Definition: vulkan.hpp:29686